import { getSelectEditorTemplate, SelectEditor, agSelectEditorStyles } from '@genesislcap/grid-pro';
/**
 * @tagname %%prefix%%-select-editor
 */
export class ZeroSelectEditor extends SelectEditor {
}
/**
 * The Zero Select editor
 *
 * @public
 * @remarks
 * HTML Element: \<zero-select-editor\>
 */
export const zeroAgSelectEditor = ZeroSelectEditor.compose({
    baseName: 'select-editor',
    styles: agSelectEditorStyles,
    template: getSelectEditorTemplate('zero'),
});
